> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/content-creation/idm/idmpartlists.md).

# Part lists

In the IDM format there is a separate section containing PartLists, which can be referenced from the Items in the Series using the PART\_LIST\_KEY.

The PartList elements can contain one or multiple PART\_LIST\_POS elements, which reference an item to be added to the part list. They also reference an order (SEQUENCE), which we are currently not using. It also contains a reference to a Decision from IDMDecisions, which gives us the logic regarding how many of the referenced items must be added to the part list.

For example: An table set contains one table and a different number of chairs, depending on the size of the table.

All items in the partlist are added as subcomponents, with the numberInPartlist being linked to the onUpdate, in which the logic from the linked IDMDecision is added.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.roomle.com/rubens/content-creation/idm/idmpartlists.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
